Subject: Re: ** WANTED: PINOUTS.....Please read!

From: [email-masked] (David E A Wilson)
Date: 17 Sep 1993 09:53:10 +1000

[email-masked] (MICHAEL BITZ) writes:
>Hello.  I am in need of a list of pin configurations for the following ports:
>* Centronics parallel printer (such as a Panasonic KX-P1123, etc)
>* Standard RS-232 Serial port
>* Laser 128 Parallel printer port (15-pin)
>* Laser 128 Serial modem port (5-pin round)

The Laser pinouts would require a Laser manual (which I do not have).
The first two are available in any good reference. For example I have a catalog
from CommsWare and in the data section at the back we find:

RS-232/V.24 Interface

EIA	CCITT	To	Description		Pin number
RS-232	V.24
----------------------------------------------------------
AA	101		Frame Ground		1
BA	103	DCE	Transmit Data		2
BB	104	DTE	Receive Data		3
CA	105	DCE	Request To Send		4
CB	106	DTE	Clear To Send		5
CC	107	DTE	Data Set Ready		6
AB	102		Signal Ground		7
CF	109	DTE	Data Carrier Detect	8
			+Test Voltage		9
			-Test Voltage		10
			Unassigned		11
SCF	122	DTE	2nd Data Carrier Detect	12
SCB	121	DTE	2nd Clear To Send	13
SBA	118	DCE	2nd Transmit Data	14
DB	114	DTE	Transmit Clock (DCE)	15
SBB	119	DTE	2nd Receive Data	16
DD	115	DTE	Receive Clock (DCE)	17
		DCE	Receiver Dibit Clock	18
SCA	120	DCE	2nd Request To Send	19
CD	108.2	DCE	Data Terminal Ready	20
CG	110	DTE	Signal Quality Detect	21
CE	125	DTE	Ring Indicator		22
CH/I	111/2	DCE	Data Rate Select	23
DA	113	DCE	External Transmit Clk	24
		DCE	Busy			25

For DCE read Modem and for DTE read Terminal.
=========================================================================
Centronics/Parallel Interface

Signal		36 way connector	IBM 25 way connector	To
------------------------------------------------------------------
Data Strobe	1			1			Printer
Data Bit 1-8	2-9			2-9			Printer
Acknowledge	10			10			Computer
Busy		11			11			Computer
Paper End	12			12			Computer
Select		13			13			Computer
AutoFeed	14 (may be Gnd)		14			Printer
OSCXT		15
Logic Gnd	16
Chassis Gnd	17
+5		18
Data Strobe Gnd	19
Data Bit Gnds	20-27			18-25
Acknowledge Gnd	28
Busy Gnd	29
Input Prime Gnd	30
Input Prime	31			16			Printer
Fault		32			15			Computer
Unassined	33-35
Select Input	36			17			Printer
-- 
David Wilson				+61 42 213802 voice, +61 42 213262 fax
Dept Comp Sci, Uni of Wollongong	[email-masked]

-=-=-=-=-=-=-=-=-=-=-=-=
Hey I just happen to have my Apple II SSC Installation and Operating
Manual with me.

On page 98, under the section called Connector Pin Assignment:

10-pin  DB-25
header  Connector       Signal name
------  ---------       ------------
1       1               Frame Ground
2       2               Transmit Data (TXD)
3       3               Receive Data (RXD)
4       4               Request to Send (RTS)
5       5               Clear to Send (CTS)
6       6               Data Set Ready (DSR)
7       19              Secondary Clear to Send (SCTS)
8       7               Signal Ground
9       20              Data Terminal Ready (DTR)
10      8               Data Carrier Detect (DCD)